ALR-INDEX(1)

NAME
alr-index - Manage indexes used by current configuration

SYNOPSIS

alr index [options] --add <url> --name <name> [--before <name>] | --del <name> | [--list] | --update-all | --check

OPTIONS

--add=URL
    Add an index

--before=NAME
    Priority order (defaults to last)

--check
    Check index contents for unknown configuration values

--del=NAME
    Remove an index

--list
    List configured indexes (default)

--name=NAME
    User given name for the index

--update-all
    Update configured indexes

--reset-community
    Add the community index, or reset any local changes

GLOBAL OPTIONS

-c, --config=ARG
    Override configuration folder location

-f, --force
    Keep going after a recoverable troublesome situation

-h, --help
    Display general or command-specific help

-n, --non-interactive
    Assume default answers for all user prompts

--no-color
    Disables colors in output

--no-tty
    Disables control characters in output

--prefer-oldest
    Prefer oldest versions instead of newest when resolving dependencies

--version
    Displays version and exits

-q  Limit output to errors

-v  Be more verbose (use twice for extra detail)

-d, --debug[]
    Enable debug-specific log messages

DESCRIPTION

Add, remove, list and update indexes used by the current alr configuration.

Updating applies only to repository-stored indexes, in which case a pull operation will be performed on them. An index initially set up with a specific commit will not be updated.

SEE ALSO
alr(1), alr-get(1), alr-init(1), alr-pin(1), alr-search(1), alr-show(1), alr-update(1), alr-with(1), gprbuild(1)

AUTHOR
Generated with generate-man from Alire execution